Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class ObjectSourceImpl

    java.lang.Object
      de.grogra.pf.io.FilterSourceBase
          de.grogra.pf.io.ObjectSourceImpl

All Implemented Interfaces:
  FilterSource, ObjectSource, WriterSource, RegistryContext

    public class ObjectSourceImpl

extends FilterSourceBase
implements ObjectSource, WriterSource

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Constructor Summary
`ObjectSourceImpl(java.lang.Object object, java.lang.String systemId, IOFlavor flavor, Registry r, ModifiableMap metaData)`
`ObjectSourceImpl(java.lang.Object object, java.lang.String systemId, MimeType mimeType, Registry r, ModifiableMap metaData)`

Method Summary
`java.lang.Object` | `getObject()` Returns the data as an object of a class which is compatible which the flavor.
`java.lang.String` | `getSystemId()` Returns a system id which identifies this source.
`void` | `write(java.io.Writer out)` This method writes the data to `out`.

Methods inherited from class de.grogra.pf.io.FilterSourceBase
`getFilter, getFlavor, getMetaData, getRegistry, initProgressMonitor, setMetaData, setProgress, setProgress0, setProgressImpl, toString, useAutoProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Constructor Detail

### ObjectSourceImpl

    public ObjectSourceImpl(java.lang.Object object,
                            java.lang.String systemId,
                            IOFlavor flavor,
                            Registry r,
                            ModifiableMap metaData)

### ObjectSourceImpl

    public ObjectSourceImpl(java.lang.Object object,
                            java.lang.String systemId,
                            MimeType mimeType,
                            Registry r,
                            ModifiableMap metaData)

Method Detail

### getObject

    public java.lang.Object getObject()

  Description copied from interface: `ObjectSource`
  Returns the data as an object of a class which is compatible which the flavor.

  Specified by:
    `getObject` in interface `ObjectSource`
  Returns:
    the data

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `FilterSource`
  Returns a system id which identifies this source.

  Specified by:
    `getSystemId` in interface `FilterSource`
  Returns:
    system id

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from interface: `WriterSource`
  This method writes the data to `out`.

  Specified by:
    `write` in interface `WriterSource`
  Parameters:
    `out` - the writer to which data is written
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD